<?php

namespace Drupal\browser_development\Processing;

/**
 * Browser Development Storage class.
 *
 * @package Drupal\browser_development\Processing
 */
class Storage {

  /**
   * Create storage.
   *
   * @param array $inputArray
   *   Array creator.
   */
  protected static function storage(array $inputArray) {

    $config = \Drupal::service('config.factory')
      ->getEditable('browser_development.settings');
    $config
      ->set('css_array', ['parent' => $inputArray])
      ->save();
  }

  /**
   * Get storage.
   *
   * @return array
   *   Returns storage contained in database.
   */
  public static function getStorage() {

    return \Drupal::config('browser_development.settings')->get('css_array');
  }

  /**
   * Sets storage.
   *
   * @todo Follow up the issues below.
   *       | ERROR | PHP4 style constructors are not allowed;
   *       use| | "__construct()" instead 44 | ERROR |
   *       Type hint "json" missing for $inputArray
   *
   * @param json $inputArray
   *   Adds array to storage.
   */
  public static function setStorage($inputArray) {

    self::storage($inputArray);

  }

}
